#!/bin/sh
#
# Increment Services build number

VERSION="1.4.8"

if [ -f version.h ] ; then
	BUILD=`fgrep '#define BUILD' version.h | sed 's/^#define BUILD.*"\([0-9]*\)".*$/\1/'`
	BUILD=`expr $BUILD + 1 2>/dev/null`
else
	BUILD=1
fi
if [ ! "$BUILD" ] ; then
	BUILD=1
fi
cat >version.h <<EOF
/* Version information for Services.
 *
 * Epona (c) 2000-2001 PegSoft
 * Contact us at epona@pegsoft.net
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 *
 * Based on the original code of Services by Andy Church.
 *
 */

#define BUILD	"$BUILD"

const char version_number[] = "$VERSION";
const char version_build[] =
	"build #" BUILD ", compiled " __DATE__ " " __TIME__;

const char version_protocol[] =
#if defined(IRC_SEQUANA)
    "Sequana 0.2.0+"
# define VER_IRCD "S"
#elif defined(IRC_BAHAMUT)
	"Bahamut 1.4.27+"
# define VER_IRCD "B"
#elif defined(IRC_ULTIMATE)
	"UltimateIRCd 2.8.2+"
# define VER_IRCD "u"
#elif defined(IRC_UNREAL)
	"UnrealIRCd 3.1.1+"
# define VER_IRCD "U"
#elif defined(IRC_DREAMFORGE)
	"DreamForge 4.6.7"
# define VER_IRCD "D"
#else
	"unknown"
# define VER_IRCD
#endif
	;

#if defined(USE_ENCRYPTION)
# if defined(ENCRYPT_MD5)
#  define VER_ENCRYPTION "M"
# else
#  define VER_ENCRYPTION "E"
# endif
#else
# define VER_ENCRYPTION
#endif

#ifdef USE_THREADS
# define VER_THREAD "T"
#else
# define VER_THREAD
#endif

#if defined(LINUX20)
# define VER_OS "l"
#elif defined(LINUX22)
# define VER_OS "L"
#else
# define VER_OS
#endif

#if defined(HAVE_GETHOSTBYNAME_R6)
# define VER_GHBNR "6"
#elif defined(HAVE_GETHOSTBYNAME_R5)
# define VER_GHBNR "5"
#elif defined(HAVE_GETHOSTBYNAME_R3)
# define VER_GHBNR "3"
#else
# define VER_GHBNR
#endif

const char version_flags[] = VER_IRCD VER_ENCRYPTION VER_THREAD VER_OS VER_GHBNR;

EOF
